module.exports = {
    extends: [
        `eslint-config-airbnb-base/legacy`,
        `./rules/textio`,
    ].map(require.resolve),
    env: {
        jquery: true,
    },
    rules: {
        "no-undef": [
            `off`,
        ],
        "no-console": [
            `off`,
        ],
        "no-new": [
            `error`,
        ],
        "vars-on-top": [
            `off`,
        ],
        "no-use-before-define": [
            `off`,
        ],
        "no-underscore-dangle": [
            `off`,
        ],
        "no-plusplus": [
            `off`,
        ],
        "no-bitwise": [
            `off`,
        ],
        "no-restricted-syntax": [
            `off`,
        ],
        "no-unused-vars": [
            `off`,
        ],
        "no-spaced-func": [
            `warn`,
        ],
        "new-cap": [
            `error`,
            {
                properties: false,
            },
        ],
        "no-trailing-spaces": [
            `warn`,
            {
                skipBlankLines: true,
            },
        ],
        "space-infix-ops": [
            `warn`,
        ],
        "padded-blocks": [
            `off`,
        ],
        "no-prototype-builtins": [
            `off`,
        ],
    },
};
